<?php
if (!empty($_SERVER['SCRIPT_FILENAME']) && 'comments.php' == basename($_SERVER['SCRIPT_FILENAME']))
	die ('このページを直接読み込んじゃダメだよ!');
if ( post_password_required() ) {
	echo '<p class="nocomments">この投稿はパスワードによって保護されています。コメントを見るためにはパスワードを入れてください。<p>';
	return;
}
?>

<?php

if ( have_comments() ) : ?>
<h4 id="comments"><?php comments_number('コメントなし', '1件のコメント', '%件のコメント' );?></h4>
<ul class="commentlist">
	<?php wp_list_comments(); ?></ul>
<div class="navigation">
<div class="alignleft"><?php previous_comments_link() ?></div>
<div class="alignright"><?php next_comments_link() ?></div>
</div>
<?php else : // コメントがなかった時に表示されます ?>
	<?php if ('open' == $post->comment_status) :// コメントが許可されているが、コメントがなかったとき ?>
		コメントしてみませんか？
	<?php else : // コメントが許可されていないとき ?>
		現在コメントは受付ていません。
	<?php endif;
endif;

?>


<?php if ( comments_open() ) : ?>

<div id="respond">

<h3><?php comment_form_title( 'コメントをどうぞ', '%s へコメントをどうぞ' ); ?></h3>

<div id="cancel-comment-reply"> 
	<small><?php cancel_comment_reply_link() ?></small>
</div> 

<?php if ( get_option('comment_registration') && !is_user_logged_in() ) : ?>
<p><?php printf('コメントするには <a href="%s">ログイン</a> してください', wp_login_url( get_permalink() )); ?></p>
<?php else : ?>

<form action="<?php echo get_option('siteurl'); ?>/wp-comments-post.php" method="post" id="commentform">

<?php if ( is_user_logged_in() ) : ?>

<p><?php printf(__('<a href="%1$s">%2$s</a> としてログインしています', 'kubrick'), get_option('siteurl') . '/wp-admin/profile.php', $user_identity); ?> <a href="<?php echo wp_logout_url(get_permalink()); ?>" title="<?php _e('Log out of this account', 'kubrick'); ?>">ログアウト &raquo;</a></p>

<?php else : ?>

<p><input type="text" name="author" id="author" value="<?php echo esc_attr($comment_author); ?>" size="22" tabindex="1" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="author"><small>お名前 <?php if ($req) echo("(必須)"); ?></small></label></p>

<p><input type="text" name="email" id="email" value="<?php echo esc_attr($comment_author_email); ?>" size="22" tabindex="2" <?php if ($req) echo "aria-required='true'"; ?> />
<label for="email"><small>メール（表示されません） <?php if ($req) _e("(必須)", "kubrick"); ?></small></label></p>

<p><input type="text" name="url" id="url" value="<?php echo  esc_attr($comment_author_url); ?>" size="22" tabindex="3" />
<label for="url"><small><?php _e('Website', 'kubrick'); ?></small></label></p>

<?php endif; ?>

<!--<p><small><?php printf(__('<strong>XHTML:</strong> You can use these tags: <code>%s</code>', 'kubrick'), allowed_tags()); ?></small></p>-->

<p><textarea name="comment" id="comment" cols="58" rows="10" tabindex="4"></textarea></p>

<p><input name="submit" type="submit" id="submit" tabindex="5" value="コメントする" />
<?php comment_id_fields(); ?> 
</p>
<?php do_action('comment_form', $post->ID); ?>

</form>

<?php endif; // If registration required and not logged in ?>
</div>

<?php endif; // if you delete this the sky will fall on your head ?>
